﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Project_2
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private async void Button_Click(object sender, RoutedEventArgs e)
        {
            List<string> uris = new List<string>();
            btnDoWork.IsEnabled = false;

            txtHtml.Text = "";
            lstLinks.ItemsSource = null;

            try
            {
                string result = await new WebClient().DownloadStringTaskAsync("http://msdn.microsoft.com/");
                txtHtml.Text = result;

                MatchCollection mc = Regex.Matches(result, "href\\s*=\\s*(?:\"(?<1>http://[^\"]*)\")", RegexOptions.IgnoreCase);
                foreach (Match m in mc)
                {
                    uris.Add(m.Groups[1].Value);
                }
                lstLinks.ItemsSource = uris;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

            btnDoWork.IsEnabled = true;
        }
    }
}
